/*
##############################################################################
#
# Copyright by The HDF Group.
# All rights reserved.
#
# This file is part of the hl_region High-Level HDF5 APIs.  The full copyright
# notice, including terms governing use, modification, and redistribution,
# is contained in the file COPYING, which can be found at the root of the
# source code distribution tree and in the documentation directory (doc/html/).
# If you do not have access to this file, you may request a copy of
# "the hl_region High-Level HDF5 APIs copyright and license statement" from
# help@hdfgroup.org.
#
##############################################################################
*/

#ifndef h5hl_api_H
#define h5hl_api_H

#ifdef H5HLR_DYNAMIC
 #if defined(hdf5_hl_region_EXPORTS)
  #if defined (_MSC_VER)  /* MSVC Compiler Case */
    #define H5_HLRDLL __declspec(dllexport)
    #define H5_HLRDLLVAR extern __declspec(dllexport)
  #elif (__GNUC__ >= 4)  /* GCC 4.x has support for visibility options */
    #define H5_HLRDLL __attribute__ ((visibility("default")))
    #define H5_HLRDLLVAR extern __attribute__ ((visibility("default")))
  #endif
 #else
  #if defined (_MSC_VER)  /* MSVC Compiler Case */
    #define H5_HLRDLL __declspec(dllimport)
    #define H5_HLRDLLVAR __declspec(dllimport)
  #elif (__GNUC__ >= 4)  /* GCC 4.x has support for visibility options */
    #define H5_HLRDLL __attribute__ ((visibility("default")))
    #define H5_HLRDLLVAR extern __attribute__ ((visibility("default")))
  #endif
 #endif
#else
# define H5_HLRDLL
# define H5_HLRDLLVAR extern
#endif

#endif /* h5hl_api_H */
